<?php
session_start();
include "verifica.php";

include("../conexion.php");

@$xid=$_REQUEST['xid'];
@$xaccion=$_REQUEST['xaccion'];
@$xprc_codi=$_REQUEST['xprc_codi'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

$prc = new Precios;

switch($xaccion){
	
	case "adicionar": 
		if($prc->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_precios').src = "precios.php?xid=<?php echo $xid;?>";	
			       
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($prc->modificar($conexion)==1){
			//echo "modificar";						
			?>
			<script language="javascript">
			alert("Los cambios en los precios han sido guardados.");
			//parent.location.href="../precios.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($prc->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			alert("Precio eliminado satisfactoriamente.")
			parent.parent.document.getElementById('frame_precios').src = "precios.php?xid=<?php echo $xid;?>";	
			</script>			
			<?php
			
		}		
		break;

}


	
//$xid=$_REQUEST['xid'];
// echo "DEBE GUARDAR.".$xid;
//include("../conexion.php");


class Precios{

	//Adiciona nuevo precio
	function adicionar($conexion){
		global $xid;
		$r=mysqli_query($conexion,"INSERT INTO precios (prd_codi_fk) VALUES($xid);");
				
		if($r){		
			return 1;
		}	
				
	}	


	//Modifica un precio
	function modificar($conexion){
		global $xid;		
		$result1=mysqli_query($conexion,"SELECT * FROM precios p where prd_codi_fk=$xid;");
		
		while($row1=mysqli_fetch_array($result1)){
		
			$xprc_codi = $row1['prc_codi'];
		
			//@$opt = "opt_".$xprc_codi;
			@$opt = "opt";
			@$opt = $_REQUEST[$opt];
			if($opt==$xprc_codi){ 
				$opt=1; 
			}else{
				$opt=0; 
			}
			
			@$chk = "chk_".$xprc_codi;
			@$chk = $_REQUEST[$chk];
			if($chk!=1){ $chk=0; }	
			
			@$xunidad = "xunidad_".$xprc_codi;
			@$xunidad = $_REQUEST[$xunidad];
		
			@$xtipoprecio = "xtipoprecio_".$xprc_codi;
			@$xtipoprecio = $_REQUEST[$xtipoprecio];
		
			@$xprecio = "xprecio_".$xprc_codi;
			@$xprecio = $_REQUEST[$xprecio];
			
			//echo $opt."<--opt ".$chk."<--chk ".$xunidad."<--unidad ".$xtipoprecio."<--tipoprecio ".$xprecio."<--precio <br>";
				
			$r=mysqli_query($conexion,"update precios set prc_precio='$xprecio',
																unimed_codi_fk='$xunidad',
																prctip_codi_fk='$xtipoprecio',
																prc_estado='$chk',
																prc_defecto='$opt'	
			where prc_codi=$xprc_codi;");		
			
		}		
		
		if($r){		
			return 1;
		}	

	
	}	
	

	//Elimina un precio
	function eliminar($conexion){
		global $xid,$xprc_codi;		

		$r = mysqli_query($conexion,"delete from precios where prc_codi = $xprc_codi;");
		
		if($r){		
			return 1;
		}	
	}		



}








?>

